Skip to content
GuidesPlaygroundDashboard

Find features near a geographic point

GET/api/v1/features/nearby

Find features near a geographic point

Query ParametersExpand Collapse
lat: number

Latitude (-90 to 90)

lng: number

Longitude (-180 to 180)

limit: optional number

Maximum results (default 20, max 100)

radius: optional number

Search radius in meters (default 500, max 10000)

ReturnsExpand Collapse
FeatureCollection = object { features, type }

Bare GeoJSON FeatureCollection. Pagination metadata is returned in HTTP headers (X-Limit, X-Has-More, X-Next-Cursor, X-Next-Offset, Link).

features: array of GeoJsonFeature { geometry, properties, type, 2 more }
geometry: GeoJsonGeometry { coordinates, type }
coordinates: array of number or array of array of number or array of array of array of number or array of array of array of array of number

GeoJSON coordinates array (nesting depth varies by geometry type)

One of the following:
array of number
array of array of number
array of array of array of number
array of array of array of array of number
type: "Point" or "LineString" or "Polygon" or 3 more
One of the following:
"Point"
"LineString"
"Polygon"
"MultiPoint"
"MultiLineString"
"MultiPolygon"
properties: map[unknown]
type: "Feature"
id: optional string

Feature identifier (type/osm_id)

osm_id: optional number

OpenStreetMap ID

type: "FeatureCollection"

Find features near a geographic point

curl https://plaza.fyi/api/v1/features/nearby \
    -H "Authorization: Bearer $PLAZA_API_KEY"
Returns Examples